# WOK
TKCPPJini
CPPJini

# CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger Class Reference

`#include <CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger ()
Standard_EXPORT | CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger (const CPPJini_DataMapOfAsciiStringInteger &aMap)
Standard_EXPORT void | Initialize (const CPPJini_DataMapOfAsciiStringInteger &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger | ( |  | ) |

Standard_EXPORT CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger | ( | const CPPJini_DataMapOfAsciiStringInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::Initialize | ( | const CPPJini_DataMapOfAsciiStringInteger & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::Key | ( |  | ) | const

void CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::operator new | ( | size_t | size | ) | `[inline]`

void* CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- CPPJini_DataMapIteratorOfDataMapOfAsciiStringInteger.hxx